Skip to main content
GET
/
server
/
shifts
/
{shiftId}
Get a specific shift
curl --request GET \
  --url https://api.melonly.xyz/api/v1/server/shifts/{shiftId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.melonly.xyz/api/v1/server/shifts/{shiftId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.melonly.xyz/api/v1/server/shifts/{shiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "autoEnd": true,
  "breakTimestamps": [
    {}
  ],
  "createdAt": 123,
  "endedAt": 123,
  "endedBy": "<string>",
  "id": "<string>",
  "memberId": "<string>",
  "serverId": "<string>",
  "type": "<string>",
  "wave": 123
}
{
"error": "invalid request parameters"
}
{
"error": "authorization header is required"
}
{
"error": "the requested resource could not be found on this server"
}
{
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and the API token.

Path Parameters

shiftId
string
required

Shift ID

Response

successfully retrieved shift details

autoEnd
boolean
breakTimestamps
object[]
createdAt
integer
endedAt
integer
endedBy
string
id
string
memberId
string
serverId
string
type
string
wave
integer